﻿local screenW,screenH = guiGetScreenSize()
local px,py = 1680,1050
local x,y = (screenW/px), (screenH/py)

local font = dxCreateFont("font.ttf", 14)

local aInfos =
{
	{ vecPos = { 2525.1999511719, -1298.0999755859, 1048.5 }, sText = "armas brancas", iColor = tocolor( 255, 255, 255, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
	{ vecPos = { 2528, -1298.0999755859, 1048.5 }, sText = "substâncias explosivas", iColor = tocolor( 255, 255, 255, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
	{ vecPos = { 2525.1999511719, -1289.9000244141, 1048.5 }, sText = "Armas leves", iColor = tocolor( 255, 255, 255, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
	{ vecPos = { 2528, -1289.9000244141, 1048.5 }, sText = "Armas médias", iColor = tocolor( 255, 255, 255, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
	{ vecPos = { 2525.1999511719, -1282.9000244141, 1048.5 }, sText = "armas de tiro em série", iColor = tocolor( 255, 255, 255, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
	{ vecPos = { 2528, -1282.9000244141, 1048.5 }, sText = "armas pesadas", iColor = tocolor( 255, 255, 255, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
	{ vecPos = { 2523.8312, -1301.9, 1048.5 }, sText = "Saída", iColor = tocolor( 255, 255, 255, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
	{ vecPos = { -2237.1000976563, 2354, 5.5 }, sText = "Mercado negro (comerciante de armas)", iColor = tocolor( 138, 43 ,226, 255 ), fDistance = 15, fScale = 0.7, sFont = font , sFonts = "center" };
}

function Render()
	for _, Data in pairs( aInfos ) do
		local fPosX, fPosY, fPosZ		= getElementPosition( localPlayer );
		local fDataX, fDataY, fDataZ 	= unpack( Data.vecPos );
		local fDistanceBetweenPoints	= getDistanceBetweenPoints3D ( fPosX, fPosY, fPosZ,fDataX, fDataY, fDataZ );
		local fInputDistance			= Data.fDistance or 45;
		if fDistanceBetweenPoints < fInputDistance then
			local fCameraX, fCameraY, fCameraZ 	= getCameraMatrix();
			local fWorldPosX, fWorldPosY 		= getScreenFromWorldPosition( fDataX, fDataY, fDataZ, fInputDistance );
			local bHit  						= processLineOfSight( fCameraX, fCameraY, fCameraZ, fDataX, fDataY, fDataZ, true, false, false, true, false, false, false, false );                                                                                                                                                  ---- BU SCRİPT SPARROW MTA TARAFINDAN ÖZENLE TÜRKÇEYE ÇEVİRİLMİŞTİR. https://sparrow-mta.blogspot.com
			if not bHit then
				if fWorldPosX and fWorldPosY then
					dxDrawText( 
						Data.sText,
						fWorldPosX,
						fWorldPosY,
						fWorldPosX,
						fWorldPosY,
						Data.iColor,
						Data.fScale,
						Data.sFont,
						Data.sFonts
					);
				end	
			end	
		end
	end
end
addEventHandler( "onClientRender", root, Render );

createBlip(-2237.1000976563, 2354, 4,17,3,0,0,0,255,0,400) --- BLİP MİNİ MAP İKONLARI                                              ---                                   --- https://sparrow-mta.blogspot.com

lol = createObject ( 1482, 2521.1000976563, -1302, 1048.6999511719, 0, 90, 0 )
setElementInterior (lol, 2 )

--lvl_20 = 20

local Markers78 = createMarker( -2237.1000976563, 2354, 4, "cylinder", 1, 138 ,43 ,226, 150 ) 
function nameFunctions78 (elementp)
	if elementp == localPlayer then
		--if getElementData(getLocalPlayer(),"xp:lvl") >= lvl_20 then
			setElementPosition(localPlayer, 2525, -1302, 1048.4000244141)
			setElementInterior (localPlayer, 2 )
			--else
			--exports["Chat_dx_opoveshenie"]:outputContextBar("#FF0000 Войти на чёрный рынок можно только с  #00FF00"..lvl_20.." Уровня" )
		--end
	end
end
addEventHandler( "onClientMarkerHit", Markers78, nameFunctions78 )

local Markers79 = createMarker( 2523.8312, -1301.9, 1047.4000244141, "cylinder", 1, 138 ,43 ,226, 150 ) 
setElementInterior (Markers79, 2 )
function nameFunctions79(elements)
	if elements == localPlayer then
		setElementPosition(localPlayer, -2238.5, 2352.6000976563, 5)
		setElementInterior (localPlayer, 0 )
	end
end
addEventHandler( "onClientMarkerHit", Markers79, nameFunctions79 )


local Markers1 = createMarker( 2525.1999511719, -1298.0999755859, 1047.3000488281, "cylinder", 1, 0, 0 ,0, 150 ) 
local Markers2 = createMarker( 2528, -1298.0999755859, 1047.3000488281, "cylinder", 1, 0, 0, 0, 150 ) 
local Markers3 = createMarker( 2525.1999511719, -1289.9000244141, 1047.3000488281, "cylinder", 1, 0, 0, 0, 150 ) 

local Markers4 = createMarker( 2528, -1289.9000244141, 1047.3000488281, "cylinder", 1, 0, 0, 0, 150 ) 
local Markers5 = createMarker( 2525.1999511719, -1282.9000244141, 1047.3000488281, "cylinder", 1, 0, 0, 0, 150 ) 
local Markers6 = createMarker( 2528, -1282.9000244141, 1047.3000488281, "cylinder", 1, 0, 0, 0, 150 ) 

setElementInterior (Markers1, 2 )
setElementInterior (Markers2, 2 )
setElementInterior (Markers3, 2 )
setElementInterior (Markers4, 2 )
setElementInterior (Markers5, 2 )
setElementInterior (Markers6, 2 )

function mark1 (element)
	if element == localPlayer then
		if WeaponStat_1 == false then
			addEventHandler("onClientRender", root, WeaponWnd_1)
			WeaponStat_1 = true
			showCursor(true) 
		end
	end
end

addEventHandler( "onClientMarkerHit", Markers1, mark1 )

function mark2 (element)
	if element == localPlayer then
		if WeaponStat_2 == false then
			addEventHandler("onClientRender", root, WeaponWnd_2)
			WeaponStat_2 = true
			showCursor(true) 
		end
	end
end

addEventHandler( "onClientMarkerHit", Markers2, mark2 )

function mark3 (element)
	if element == localPlayer then
		if WeaponStat_3 == false then
			addEventHandler("onClientRender", root, WeaponWnd_3)
			WeaponStat_3 = true
			showCursor(true) 
		end
	end
end

addEventHandler( "onClientMarkerHit", Markers3, mark3 )

function mark4 (element)
	if element == localPlayer then
		if WeaponStat_4 == false then
			addEventHandler("onClientRender", root, WeaponWnd_4)
			WeaponStat_4 = true
			showCursor(true) 
		end
	end
end

addEventHandler( "onClientMarkerHit", Markers4, mark4 )

function mark5 (element)
	if element == localPlayer then
		if WeaponStat_5 == false then
			addEventHandler("onClientRender", root, WeaponWnd_5)
			WeaponStat_5 = true
			showCursor(true) 
		end
	end
end

addEventHandler( "onClientMarkerHit", Markers5, mark5 )

function mark6 (element)
	if element == localPlayer then
		if WeaponStat_6 == false then
			addEventHandler("onClientRender", root, WeaponWnd_6)
			WeaponStat_6 = true
			showCursor(true) 
		end
	end
end

addEventHandler( "onClientMarkerHit", Markers6, mark6 )



WeaponStat_1 = false

function WeaponWnd_1 ()

	dxDrawWindow( 675*x, 370*y, 300*x, 240*y, "armas brancas")
	dxDrawButton( 679*x, 404*y, 130*x, 30*y, "PM\n5.000$")
	dxDrawButton( 679*x, 439*y, 130*x, 30*y, "cinica\n10.000$")
	dxDrawButton( 679*x, 473*y, 130*x, 30*y, "bastão\n15.000$")
	dxDrawButton( 679*x, 507*y, 130*x, 30*y, "pa\n20.000$")
	dxDrawButton( 679*x, 541*y, 130*x, 30*y, "faca\n25.000$")
	dxDrawButton( 679*x, 575*y, 130*x, 30*y, "Katana\n30.000$")
	dxDrawButton( 950*x, 585*y, 20*x, 20*y, "X")
	dxDrawImage ( 800*x, 404*y, 130*x, 55*y, "weapon/3.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 800*x, 439*y, 130*x, 55*y, "weapon/7.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 800*x, 473*y, 130*x, 55*y, "weapon/5.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 800*x, 507*y, 130*x, 55*y, "weapon/6.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 800*x, 541*y, 130*x, 55*y, "weapon/4.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 800*x, 575*y, 130*x, 100*y, "weapon/8.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	
end

WeaponStat_2 = false

function WeaponWnd_2 ()

	dxDrawWindow( 675*x, 370*y, 300*x, 205*y, "substâncias explosivas")
	dxDrawButton( 679*x, 404*y, 130*x, 30*y, "Grenada\n10.000$ 1 Adet.")
	dxDrawButton( 679*x, 439*y, 130*x, 30*y, "Bomba de fumaça\n15.000$ 1 Adet.")
	dxDrawButton( 679*x, 473*y, 130*x, 30*y, "Coquetel Molotov\n20.000$ 1 Adet.")
	dxDrawButton( 679*x, 507*y, 130*x, 30*y, "С4\n25.000$ 1 Adet.")
	dxDrawButton( 679*x, 541*y, 130*x, 30*y, "C4 bomba\n30.000$ 1 Adet.")
	dxDrawButton( 950*x, 551*y, 20*x, 20*y, "X")
	dxDrawImage ( 790*x, 404*y, 130*x, 55*y, "weapon/16.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 790*x, 439*y, 130*x, 55*y, "weapon/17.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 790*x, 473*y, 130*x, 55*y, "weapon/18.png", 0, 0, 0, tocolor(255, 255, 255, 255) )		
	dxDrawImage ( 794*x, 511*y, 130*x, 55*y, "weapon/40.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 790*x, 507*y, 130*x, 55*y, "weapon/39.png", 0, 0, 0, tocolor(255, 255, 255, 255) )
	
end

WeaponStat_3 = false

function WeaponWnd_3 ()

	dxDrawWindow( 675*x, 370*y, 300*x, 138*y, "Armas leves")
	dxDrawButton( 679*x, 404*y, 130*x, 30*y, "pistola\n40.000$ 40 Mermi")
	dxDrawButton( 679*x, 439*y, 130*x, 30*y, "com silenciador\n50.000$ 40 Mermi")
	dxDrawButton( 679*x, 473*y, 130*x, 30*y, "Desert Eagle\n60.000$ 40 Mermi")
	dxDrawButton( 950*x, 483*y, 20*x, 20*y, "X")
	dxDrawImage ( 800*x, 404*y, 130*x, 55*y, "weapon/22.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 800*x, 439*y, 130*x, 55*y, "weapon/23.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 800*x, 473*y, 130*x, 55*y, "weapon/24.png", 0, 0, 0, tocolor(255, 255, 255, 255) )		
	
end

WeaponStat_4 = false

function WeaponWnd_4 ()

	dxDrawWindow( 675*x, 370*y, 300*x, 205*y, "Armas médias")
	dxDrawButton( 679*x, 404*y, 130*x, 30*y, "Espingarda\n70.000$ 40 Mermi")
	dxDrawButton( 679*x, 439*y, 130*x, 30*y, "Shotgun\n80.000$ 40 Mermi")
	dxDrawButton( 679*x, 473*y, 130*x, 30*y, "doublebreak\n90.000$ 40 Mermi")
	dxDrawButton( 679*x, 507*y, 130*x, 30*y, "Uzi\n100.000$ 40 Mermi")
	dxDrawButton( 679*x, 541*y, 130*x, 30*y, "МР5\n110.000$ 40 Mermi")
	dxDrawButton( 950*x, 551*y, 20*x, 20*y, "X")
	dxDrawImage ( 820*x, 404*y, 130*x, 55*y, "weapon/25.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 820*x, 439*y, 130*x, 55*y, "weapon/27.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 820*x, 473*y, 130*x, 55*y, "weapon/26.png", 0, 0, 0, tocolor(255, 255, 255, 255) )		
	dxDrawImage ( 800*x, 498*y, 130*x, 55*y, "weapon/28.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 805*x, 541*y, 130*x, 55*y, "weapon/29.png", 0, 0, 0, tocolor(255, 255, 255, 255) )		
	
end

WeaponStat_5 = false

function WeaponWnd_5 ()

	dxDrawWindow( 675*x, 370*y, 300*x, 172*y, "armas de tiro em série")
	dxDrawButton( 679*x, 404*y, 130*x, 30*y, "Tec-9\n120.000$ 40 Mermi")
	dxDrawButton( 679*x, 439*y, 130*x, 30*y, "Tüfek\n140.000$ 40 Mermi")
	dxDrawButton( 679*x, 473*y, 130*x, 30*y, "АК47\n150.000$ 40 Mermi")
	dxDrawButton( 679*x, 507*y, 130*x, 30*y, "М4\n160.000$ 40 Mermi")
	dxDrawButton( 950*x, 517*y, 20*x, 20*y, "X")
	dxDrawImage ( 800*x, 404*y, 130*x, 55*y, "weapon/32.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 820*x, 439*y, 130*x, 55*y, "weapon/33.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 820*x, 473*y, 130*x, 55*y, "weapon/30.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 820*x, 507*y, 130*x, 55*y, "weapon/31.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	
end

WeaponStat_6 = false

function WeaponWnd_6 ()

	dxDrawWindow( 675*x, 370*y, 300*x, 205*y, "armas pesadas")
	dxDrawButton( 679*x, 404*y, 130*x, 30*y, "rifle de atirador\n200.000$ 40 Mermi")
	dxDrawButton( 679*x, 439*y, 130*x, 30*y, "Bazuka\n250.000$ 40 Mermi")
	dxDrawButton( 679*x, 473*y, 130*x, 30*y, "Bazuca travada no alvo\n300.000$ 40 Mermi")
	dxDrawButton( 679*x, 507*y, 130*x, 30*y, "lança-chamas\n320.000$ 40 Mermi")
	dxDrawButton( 679*x, 541*y, 130*x, 30*y, "Minigun\n350.000$ 250 Mermi")
	dxDrawButton( 950*x, 551*y, 20*x, 20*y, "X")
	dxDrawImage ( 820*x, 404*y, 130*x, 55*y, "weapon/34.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 825*x, 439*y, 130*x, 55*y, "weapon/35.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 825*x, 473*y, 130*x, 55*y, "weapon/36.png", 0, 0, 0, tocolor(255, 255, 255, 255) )		
	dxDrawImage ( 825*x, 490*y, 130*x, 55*y, "weapon/37.png", 0, 0, 0, tocolor(255, 255, 255, 255) )	
	dxDrawImage ( 815*x, 542*y, 130*x, 55*y, "weapon/38.png", 0, 0, 0, tocolor(255, 255, 255, 255) )		
	
end

money_proverka_weapon1 = 4999

money_proverka_weapon2 = 9999

money_proverka_weapon3 = 14999

money_proverka_weapon4 = 19999

money_proverka_weapon5 = 24999

money_proverka_weapon6 = 29999

money_proverka_weapon7 = 9999

money_proverka_weapon8 = 14999

money_proverka_weapon9 = 19999

money_proverka_weapon10 = 24999

money_proverka_weapon11 = 29999

money_proverka_weapon12 = 39999

money_proverka_weapon13 = 49999

money_proverka_weapon14 = 59999

money_proverka_weapon15 = 69999

money_proverka_weapon16 = 79999

money_proverka_weapon17 = 89999

money_proverka_weapon18 = 99999

money_proverka_weapon19 = 109999

money_proverka_weapon20 = 119999

money_proverka_weapon21 = 139999

money_proverka_weapon22 = 149999

money_proverka_weapon23 = 159999

money_proverka_weapon24 = 199999

money_proverka_weapon25 = 249999

money_proverka_weapon26 = 299999

money_proverka_weapon27 = 319999

money_proverka_weapon28 = 349999

function WeaponClick_1(button, state)
	if WeaponStat_1 == true then
		if button == "left" and state == "down" then
			if cursorPosition(679*x, 404*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon1 then
					triggerServerEvent ( "Weaponiti_1", localPlayer)
					triggerServerEvent("Weapon_Money_1", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_1" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon1 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 439*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon2 then
					triggerServerEvent("Weapon_Money_2", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_2" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon2 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 473*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon3 then
					triggerServerEvent("Weapon_Money_3", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_3" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon3 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 507*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon4 then
					triggerServerEvent("Weapon_Money_4", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_4" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon4 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 541*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon5 then
					triggerServerEvent("Weapon_Money_5", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_5" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon5 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 575*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon6 then
					triggerServerEvent("Weapon_Money_6", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_6" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon6 + 1 .." $" )
				end
			end
			if cursorPosition(950*x, 585*y, 20*x, 20*y) then
				removeEventHandler("onClientRender", root, WeaponWnd_1)
				WeaponStat_1 = false
				showCursor(false) 
			end
		end
	end
end
addEventHandler("onClientClick", root, WeaponClick_1)

function WeaponClick_2(button, state)
	if WeaponStat_2 == true then
		if button == "left" and state == "down" then
			if cursorPosition(679*x, 404*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon7 then
					triggerServerEvent("Weapon_Money_7", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_7" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon7 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 439*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon8 then
					triggerServerEvent("Weapon_Money_8", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_8" )
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon8 + 1 .." $" ) 
				end
			end
			if cursorPosition(679*x, 473*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon9 then
					triggerServerEvent("Weapon_Money_9", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_9" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon9 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 507*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon10 then
					triggerServerEvent("Weapon_Money_10", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_10" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon10 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 541*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon11 then
					triggerServerEvent("Weapon_Money_11", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_11" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon11 + 1 .." $" )
				end
			end
			if cursorPosition(950*x, 551*y, 20*x, 20*y) then
				removeEventHandler("onClientRender", root, WeaponWnd_2)
				WeaponStat_2 = false
				showCursor(false) 
			end
		end
	end
end
addEventHandler("onClientClick", root, WeaponClick_2)

function WeaponClick_3(button, state)
	if WeaponStat_3 == true then
		if button == "left" and state == "down" then
			if cursorPosition(679*x, 404*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon12 then
					triggerServerEvent("Weapon_Money_12", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_12" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon12 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 439*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon13 then
					triggerServerEvent("Weapon_Money_13", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_13" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon13 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 473*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon14 then
					triggerServerEvent("Weapon_Money_14", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_14" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon14 + 1 .." $" )
				end
			end
			if cursorPosition(950*x, 483*y, 20*x, 20*y) then
				removeEventHandler("onClientRender", root, WeaponWnd_3)
				WeaponStat_3 = false
				showCursor(false) 
			end
		end
	end
end
addEventHandler("onClientClick", root, WeaponClick_3)

function WeaponClick_4(button, state)
	if WeaponStat_4 == true then
		if button == "left" and state == "down" then
			if cursorPosition(679*x, 404*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon15 then
					triggerServerEvent("Weapon_Money_15", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_15" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon15 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 439*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon16 then
					triggerServerEvent("Weapon_Money_16", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_16" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon16 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 473*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon17 then
					triggerServerEvent("Weapon_Money_17", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_17" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon17 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 507*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon18 then
					triggerServerEvent("Weapon_Money_18", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_18" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon18 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 541*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon19 then
					triggerServerEvent("Weapon_Money_19", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_19" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon19 + 1 .." $" )
				end
			end
			if cursorPosition(950*x, 551*y, 20*x, 20*y) then
				removeEventHandler("onClientRender", root, WeaponWnd_4)
				WeaponStat_4 = false
				showCursor(false) 
			end
		end
	end
end
addEventHandler("onClientClick", root, WeaponClick_4)

function WeaponClick_5(button, state)
	if WeaponStat_5 == true then
		if button == "left" and state == "down" then
			if cursorPosition(679*x, 404*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon20 then
					triggerServerEvent("Weapon_Money_20", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_20" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon20 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 439*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon21 then
					triggerServerEvent("Weapon_Money_21", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_21" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon21 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 473*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon22 then
					triggerServerEvent("Weapon_Money_22", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_22" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon22 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 507*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon23 then
					triggerServerEvent("Weapon_Money_23", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_23" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon23 + 1 .." $" )
				end
			end
			if cursorPosition(950*x, 517*y, 20*x, 20*y) then
				removeEventHandler("onClientRender", root, WeaponWnd_5)
				WeaponStat_5 = false
				showCursor(false) 
			end
		end
	end
end
addEventHandler("onClientClick", root, WeaponClick_5)

function WeaponClick_6(button, state)
	if WeaponStat_6 == true then
		if button == "left" and state == "down" then
			if cursorPosition(679*x, 404*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon24 then
					triggerServerEvent("Weapon_Money_24", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_24" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon24 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 439*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon25 then
					triggerServerEvent("Weapon_Money_25", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_25" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon25 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 473*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon26 then
					triggerServerEvent("Weapon_Money_26", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_26" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon26 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 507*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon27 then
					triggerServerEvent("Weapon_Money_27", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_27" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon27 + 1 .." $" )
				end
			end
			if cursorPosition(679*x, 541*y, 130*x, 30*y) then
				if getPlayerMoney () > money_proverka_weapon28 then
					triggerServerEvent("Weapon_Money_28", getRootElement(), localPlayer )
					triggerServerEvent ( "onGreeting", localPlayer, "weapon_28" ) 
					else
					outputChatBox ( "Paranız yok, Bu silah için gereken para : "..money_proverka_weapon28 + 1 .." $" )
				end
			end
			if cursorPosition(950*x, 551*y, 20*x, 20*y) then
				removeEventHandler("onClientRender", root, WeaponWnd_6)
				WeaponStat_6 = false
				showCursor(false) 
			end
		end
	end
end
addEventHandler("onClientClick", root, WeaponClick_6)



----CANALOPA24HRS